System.Web 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Enum

The values specified by this enumeration are used when you include an @ OutputCache directive in an .aspx file. These values determine the cache location for page output. For more information, see Caching ASP.NET Pages.

Specifies the valid values for controlling the location of the output-cached HTTP response for a resource.

- Field
  System.Web.UI.OutputCacheLocation To be added

  The output cache can be located on the browser client (where the request originated), on a proxy server (or any other server) participating in the request, or on the server where the request was processed. This value corresponds to the enumeration value.

  1.0.5000.0
  2.0.0.0
- Field
  System.Web.UI.OutputCacheLocation To be added

  The output cache is located on the browser client where the request originated. This value corresponds to the enumeration value.

  1.0.5000.0
  2.0.0.0
- Field
  System.Web.UI.OutputCacheLocation To be added

  The output cache can be stored in any HTTP 1.1 cache-capable devices other than the origin server. This includes proxy servers and the client that made the request.

  1.0.5000.0
  2.0.0.0
- Field
  System.Web.UI.OutputCacheLocation To be added

  The output cache is disabled for the requested page. This value corresponds to the enumeration value.

  1.0.5000.0
  2.0.0.0
- Field
  System.Web.UI.OutputCacheLocation To be added

  The output cache is located on the Web server where the request was processed. This value corresponds to the enumeration value.

  1.0.5000.0
  2.0.0.0
- Field
  System.Web.UI.OutputCacheLocation ServerAndClient To be added.

  The output cache can be stored only at the origin server or at the requesting client. Proxy servers are not allowed to cache the response. This value corresponds to the combination of the and enumeration values.

  1.0.5000.0
  2.0.0.0